CREATE TABLE xplugin_jst_emarketing_google_variationen (
  kId    INT(11)      NOT NULL AUTO_INCREMENT,
  cName  VARCHAR(255) NOT NULL,
  cWert  VARCHAR(255)          DEFAULT NULL,
  cTyp   ENUM ('ArtikelEigenschaft', 'FunktionsAttribut', 'Merkmal', 'Attribut', 'WertName'),
  nAktiv INT(11)      NOT NULL DEFAULT 0,
  PRIMARY KEY (kId)
);

INSERT INTO xplugin_jst_emarketing_google_variationen (cName)
VALUES ('gender'),
       ('age_group'),
       ('color'),
       ('size'),
       ('size_type'),
       ('size_system'),
       ('material'),
       ('pattern'),
       ('energy_efficiency_class');


CREATE TABLE xplugin_jst_emarketing_sprachen (
  kSprache         INT(11)      NOT NULL,
  cActive          VARCHAR(1)   NOT NULL DEFAULT 'N',
  cTargetCountries VARCHAR(512) NOT NULL DEFAULT '',
  cISO             VARCHAR(2)   NOT NULL DEFAULT '',
  PRIMARY KEY (kSprache)
);

CREATE TABLE xplugin_jst_emarketing_endpoints (
  cEndpoint   VARCHAR(64) NOT NULL,
  cLastAccess DATETIME             DEFAULT NULL,
  cStatus     VARCHAR(1024)        DEFAULT '',
  nDuration   DOUBLE      NOT NULL DEFAULT 0,
  nCount      INT(11)     NOT NULL DEFAULT 0,
  PRIMARY KEY (cEndpoint)
);

CREATE TABLE `xplugin_jst_emarketing_eplog` (
  `kId`       int           NOT NULL,
  `cType`     varchar(32)   NOT NULL,
  `cMessage`  varchar(1024) NOT NULL,
  `nCount`    int           NOT NULL DEFAULT 0,
  `dErstellt` datetime      NOT NULL
);

ALTER TABLE `xplugin_jst_emarketing_eplog`
  ADD PRIMARY KEY `kId_cType` (`kId`, `cType`);

CREATE TABLE `xplugin_jst_emarketing_codes` (
  `cType`     varchar(32)   NOT NULL,
  `cData`     varchar(1024) NOT NULL,
  `dModified` datetime      NOT NULL,
  `dCreated`  datetime      NOT NULL
);

ALTER TABLE `xplugin_jst_emarketing_codes`
  ADD PRIMARY KEY `cType` (`cType`);