<style>
    .sprachen .form-group label {
        margin: 0 !important;
    }
</style>
<h3>Spracheinstellungen</h3>

{if $langSettings|count == 0}
    <div class="alert alert-warning">
        Bitte whle hier aus, fr welche Sprachen / Ziellnder du emarketing verwenden mchtest, und drcke dann auf "speichern".
    </div>
{/if}
<form method="post">
    <input type="hidden" name="action" value="save-langs"/>
    <div class="sprachen">
        {foreach item=sprache from=$sprachen}
            <div class="panel panel-default sprache">
                <div class="panel-heading">Sprache: {$sprache->cNameDeutsch} {if $sprache->cStandard === 'Y'}
                        <small>(default)</small>
                    {/if}</div>
                <div class="panel-body">
                    <div class="form-horizontal">
                        <div class="form-group">
                            <label for="contentLanguage{$sprache->kSprache}" class="col-sm-3 control-label">
                                <a href="https://en.wikipedia.org/wiki/List_of_ISO_639-1_codes" title="ISO 639-1"
                                   target="_blank"><i
                                            class="fa fa-question-circle"></i></a>
                                Content Language:</label>
                            <div class="col-sm-9">
                                <input type="text" class="form-control" id="contentLanguage{$sprache->kSprache}"
                                       name="lang[{$sprache->kSprache}][contentLanguage]"
                                       placeholder="ISO 639-1, z.B. 'de' oder 'en'"
                                       value="{if $langSettings[$sprache->kSprache]->cISO}{$langSettings[$sprache->kSprache]->cISO}{/if}">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-3 control-label">
                                <a href="https://de.wikipedia.org/wiki/ISO-3166-1-Kodierliste" title="ISO 3166 ALPHA-2"
                                   target="_blank"><i
                                            class="fa fa-question-circle"></i></a>
                                Ziel-Lnder*:</label>
                            <div class="col-sm-9">
                                {foreach item=targetCountry from=$targetCountries}
                                    {if !$targetCountry|in_array:$lieferbareLaender}{continue}{/if}
                                    <label class="col-sm-2 col-xs-3">
                                        <input
                                                {if $sprache->kSprache|array_key_exists:$langSettings && $targetCountry|in_array:$langSettings[$sprache->kSprache]->cTragetCountries_arr}checked="checked"{/if}
                                                name="lang[{$sprache->kSprache}][targetCountry][]"
                                                type="checkbox"
                                                value="{$targetCountry}">&nbsp;{$targetCountry}
                                    </label>
                                {/foreach}
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="active{$sprache->kSprache}" class="col-sm-3 control-label">
                                Sprache exportieren:
                            </label>
                            <div class="col-sm-9">
                                <label class="col-sm-6"><input
                                            {if $langSettings[$sprache->kSprache]->cActive == 'Y'}checked="checked"{/if}
                                            name="lang[{$sprache->kSprache}][active]" type="radio"
                                            value="Y"> Ja</label>
                                <label class="col-sm-6"><input
                                            {if $langSettings[$sprache->kSprache]->cActive != 'Y'}checked="checked"{/if}
                                            name="lang[{$sprache->kSprache}][active]" type="radio"
                                            value="N">
                                    Nein</label>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        {/foreach}
        <div class="text-center">
            <button type="submit" class="btn btn-success">speichern</button>
        </div>
        <small>* = es werden nur Lnder angezeigt, die durch den Shop beliefert werden.</small>
    </div>
</form>