<script type="text/javascript">
    $(document).ready(function () {
        $(".jst_variation_submit").click(function () {
            let elem = $(this).parent("td").parent(".jst_variation_post").find(":input");

            $.ajax({
                type: "POST",
                url: "{$oPlugin->cAdminmenuPfadURL|replace:'http:':''}ajax/variation.ajax.php",
                contentType: "application/x-www-form-urlencoded; charset=ISO-8859-1",
                data: elem.serialize(),
                success: function (response) {
                    let res = JSON.parse(response);
                    if (res.return === true) {
                        alert(res.msg);
                    } else if (res.return === false) {
                        if (res.msg.length > 0) {
                            alert(res.msg);
                        } else {
                            alert("Fehler: Setzen der Variation nicht mglich");
                        }
                    }
                }
            });
        });
    });
</script>

<div class="jst_em_form_wrapper">
    Hier k&ouml;nnen Sie die Varianten der Variationskombinations-Artikel anlegen.
    Alle Werte beziehen sich nicht auf den Vater-Artikel
    sondern auf den Kind-Artikel der aus der Variationskombination hervorgeht.
</div>

<table class="table table-stripped">

    <thead>
    <tr>
        <th class="tleft">Google Name</th>
        <th class="tleft">Wert Name</th>
        <th class="tleft">Wert Typ</th>
        <th class="tleft">Aktiv</th>
        <th class="tleft">Aktion</th>
    </tr>
    </thead>


    <tbody>
    {foreach from=$aGoogleVariationen.Variationen item=Variation}
        <tr class="jst_variation_post">
            <td><label for="iWert{$Variation->cName}">g:{$Variation->cName}</label></td>
            <td>
                <input id="iWert{$Variation->cName}" type="text" class="form-control" name="cWert"
                       value="{$Variation->cWert}">
            </td>
            <td>
                <select class="form-control" name="cTyp">
                    {foreach from=$aGoogleVariationen.Typen item=Typ}
                        <option value="{$Typ}"
                                {if $Variation->cTyp == $Typ}selected="selected"{/if}>{$Typ}</option>
                    {/foreach}
                </select>
            </td>
            <td>
                <input type="checkbox" name="nAktiv" {if $Variation->nAktiv == 1}checked="checked"{/if}>
            </td>
            <td>
                <input type="hidden" name="kId" value="{$Variation->kId}">
                <input type="button" class="jst_variation_submit orange button submit" value="Speichern">
            </td>
        </tr>
    {/foreach}
    </tbody>
</table>